# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 435799 $ 
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = kcontrol/kio
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(kde_moduledir)" \
	"$(DESTDIR)$(servicetypesdir)" "$(DESTDIR)$(smbdir)" \
	"$(DESTDIR)$(updatedir)" "$(DESTDIR)$(xdg_appsdir)"
kde_moduleLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(kde_module_LTLIBRARIES)
am__DEPENDENCIES_1 =
kcm_kio_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_kcm_kio_la_OBJECTS = policydlg.lo kcookiesmain.lo \
	kcookiespolicies.lo main.lo smbrodlg.lo useragentdlg.lo \
	kproxydlgbase.lo kmanualproxydlg.lo kenvvarproxydlg.lo \
	kproxydlg.lo kcookiesmanagement.lo fakeuaprovider.lo \
	uagentproviderdlg.lo netpref.lo cache.lo ksaveioconfig.lo \
	socks.lo
#>- kcm_kio_la_OBJECTS = $(am_kcm_kio_la_OBJECTS)
#>+ 9
kcm_kio_la_final_OBJECTS = kcm_kio_la.all_cpp.lo 
kcm_kio_la_nofinal_OBJECTS = policydlg.lo kcookiesmain.lo \
	kcookiespolicies.lo main.lo smbrodlg.lo useragentdlg.lo \
	kproxydlgbase.lo kmanualproxydlg.lo kenvvarproxydlg.lo \
	kproxydlg.lo kcookiesmanagement.lo fakeuaprovider.lo \
	uagentproviderdlg.lo netpref.lo cache.lo ksaveioconfig.lo \
	socks.lo socksbase.lo kproxydlg_ui.lo kcookiesmanagementdlg_ui.lo kcookiespoliciesdlg_ui.lo policydlg_ui.lo useragentdlg_ui.lo uagentproviderdlg_ui.lo manualproxy_ui.lo envvarproxy_ui.lo cache_ui.lo
@KDE_USE_FINAL_FALSE@kcm_kio_la_OBJECTS = $(kcm_kio_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kcm_kio_la_OBJECTS = $(kcm_kio_la_final_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
#>- 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(kcm_kio_la_SOURCES)
DIST_SOURCES = $(kcm_kio_la_SOURCES)
#>- RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
#>- 	html-recursive info-recursive install-data-recursive \
#>- 	install-exec-recursive install-info-recursive \
#>- 	install-recursive installcheck-recursive installdirs-recursive \
#>- 	pdf-recursive ps-recursive uninstall-info-recursive \
#>- 	uninstall-recursive
#>+ 6
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive nmcheck-recursive bcheck-recursive
servicetypesDATA_INSTALL = $(INSTALL_DATA)
smbDATA_INSTALL = $(INSTALL_DATA)
updateDATA_INSTALL = $(INSTALL_DATA)
xdg_appsDATA_INSTALL = $(INSTALL_DATA)
DATA = $(servicetypes_DATA) $(smb_DATA) $(update_DATA) \
	$(xdg_apps_DATA)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARTSCCONFIG = @ARTSCCONFIG@
ARTS_CFLAGS = @ARTS_CFLAGS@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COMPILE_GL_INFO_FALSE = @COMPILE_GL_INFO_FALSE@
COMPILE_GL_INFO_TRUE = @COMPILE_GL_INFO_TRUE@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DBUSQT_INCS = @DBUSQT_INCS@
DBUSQT_LIBS = @DBUSQT_LIBS@
DBUS_CFLAGS = @DBUS_CFLAGS@
DBUS_INCS = @DBUS_INCS@
DBUS_LIBS = @DBUS_LIBS@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_PERMISSIVE_FLAG = @ENABLE_PERMISSIVE_FLAG@
EXEEXT = @EXEEXT@
EXR_FLAGS = @EXR_FLAGS@
F77 = @F77@
FFLAGS = @FFLAGS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
HALBACKEND = @HALBACKEND@
HAL_CFLAGS = @HAL_CFLAGS@
HAL_INCS = @HAL_INCS@
HAL_LIBS = @HAL_LIBS@
HAVE_DNSSD_FALSE = @HAVE_DNSSD_FALSE@
HAVE_DNSSD_TRUE = @HAVE_DNSSD_TRUE@
HAVE_GCC_VISIBILITY = @HAVE_GCC_VISIBILITY@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCHECKPASS_PAM_SERVICE = @KCHECKPASS_PAM_SERVICE@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_BINDIR = @KDE_BINDIR@
KDE_CHECK_PLUGIN = @KDE_CHECK_PLUGIN@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_FPIE = @KDE_USE_FPIE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_USE_PIE = @KDE_USE_PIE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KDM_PAM_SERVICE = @KDM_PAM_SERVICE@
KRB4_INCS = @KRB4_INCS@
KRB4_LIBS = @KRB4_LIBS@
KRB4_RPATH = @KRB4_RPATH@
KRB5_INCS = @KRB5_INCS@
KRB5_LIBS = @KRB5_LIBS@
KRB5_RPATH = @KRB5_RPATH@
KSCREENSAVER_PAM_SERVICE = @KSCREENSAVER_PAM_SERVICE@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LDFLAGS_AS_NEEDED = @LDFLAGS_AS_NEEDED@
LDFLAGS_NEW_DTAGS = @LDFLAGS_NEW_DTAGS@
LIBALIB = @LIBALIB@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBBZ2 = @LIBBZ2@
LIBCFG = @LIBCFG@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBCURSES = @LIBCURSES@
LIBDEVINFO = @LIBDEVINFO@
LIBDL = @LIBDL@
LIBFONTCONFIG_CFLAGS = @LIBFONTCONFIG_CFLAGS@
LIBFONTCONFIG_LIBS = @LIBFONTCONFIG_LIBS@
LIBFONTCONFIG_RPATH = @LIBFONTCONFIG_RPATH@
LIBFREETYPE_CFLAGS = @LIBFREETYPE_CFLAGS@
LIBFREETYPE_LIBS = @LIBFREETYPE_LIBS@
LIBFREETYPE_RPATH = @LIBFREETYPE_RPATH@
LIBGEN = @LIBGEN@
LIBHOSTS = @LIBHOSTS@
LIBJPEG = @LIBJPEG@
LIBKSTAT = @LIBKSTAT@
LIBMALLOC = @LIBMALLOC@
LIBOBJS = @LIBOBJS@
LIBODM = @LIBODM@
LIBOSSAUDIO = @LIBOSSAUDIO@
LIBPNG = @LIBPNG@
LIBPOSIX4 = @LIBPOSIX4@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBRPC = @LIBRPC@
LIBS = @LIBS@
LIBSENSORS = @LIBSENSORS@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUSBCONFIG = @LIBUSBCONFIG@
LIBUTEMPTER = @LIBUTEMPTER@
LIBUTIL = @LIBUTIL@
LIBXDMCP = @LIBXDMCP@
LIBXFT_LIB = @LIBXFT_LIB@
LIBZ = @LIBZ@
LIB_ARTS = @LIB_ARTS@
LIB_DNSSD = @LIB_DNSSD@
LIB_EXR = @LIB_EXR@
LIB_FONT_ENC = @LIB_FONT_ENC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDED = @LIB_KDED@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KDNSSD = @LIB_KDNSSD@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMPROXY = @LIB_KIMPROXY@
LIB_KIO = @LIB_KIO@
LIB_KJS = @LIB_KJS@
LIB_KNEWSTUFF = @LIB_KNEWSTUFF@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUNITTEST = @LIB_KUNITTEST@
LIB_KUTILS = @LIB_KUTILS@
LIB_KVM = @LIB_KVM@
LIB_LBER = @LIB_LBER@
LIB_LIBS = @LIB_LIBS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_TRU64_MACH = @LIB_TRU64_MACH@
LIB_X11 = @LIB_X11@
LIB_XCOMPOSITE = @LIB_XCOMPOSITE@
LIB_XCURSOR = @LIB_XCURSOR@
LIB_XEXT = @LIB_XEXT@
LIB_XF86MISC = @LIB_XF86MISC@
LIB_XFIXES = @LIB_XFIXES@
LIB_XINERAMA = @LIB_XINERAMA@
LIB_XRANDR = @LIB_XRANDR@
LIB_XRENDER = @LIB_XRENDER@
LIB_XSS = @LIB_XSS@
LINUXCDPOLLING = @LINUXCDPOLLING@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MAKEKDEWIDGETS = @MAKEKDEWIDGETS@
MCOPIDL = @MCOPIDL@
MD5SUM = @MD5SUM@
MD5SUM_CUT = @MD5SUM_CUT@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PKG_CONFIG = @PKG_CONFIG@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
RUN_KAPPFINDER = @RUN_KAPPFINDER@
SASL2_LIBS = @SASL2_LIBS@
SETUIDFLAGS = @SETUIDFLAGS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMBCLIENT_EXTRA_LIBS = @SMBCLIENT_EXTRA_LIBS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
UNAME = @UNAME@
USB_CFLAGS = @USB_CFLAGS@
USB_LIBS = @USB_LIBS@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
XTESTLIB = @XTESTLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
applnk_SUBDIR_included_FALSE = @applnk_SUBDIR_included_FALSE@
applnk_SUBDIR_included_TRUE = @applnk_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
drkonqi_SUBDIR_included_FALSE = @drkonqi_SUBDIR_included_FALSE@
drkonqi_SUBDIR_included_TRUE = @drkonqi_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
have_xcursor_FALSE = @have_xcursor_FALSE@
have_xcursor_TRUE = @have_xcursor_TRUE@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_ARTS_FALSE = @include_ARTS_FALSE@
include_ARTS_TRUE = @include_ARTS_TRUE@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_EXR_MODULES_FALSE = @include_EXR_MODULES_FALSE@
include_EXR_MODULES_TRUE = @include_EXR_MODULES_TRUE@
include_fontinst_tn_FALSE = @include_fontinst_tn_FALSE@
include_fontinst_tn_TRUE = @include_fontinst_tn_TRUE@
include_kcontrol_access_FALSE = @include_kcontrol_access_FALSE@
include_kcontrol_access_TRUE = @include_kcontrol_access_TRUE@
include_kcontrol_accessibility_FALSE = @include_kcontrol_accessibility_FALSE@
include_kcontrol_accessibility_TRUE = @include_kcontrol_accessibility_TRUE@
include_kcontrol_joystick_FALSE = @include_kcontrol_joystick_FALSE@
include_kcontrol_joystick_TRUE = @include_kcontrol_joystick_TRUE@
include_kcontrol_kfontinst_FALSE = @include_kcontrol_kfontinst_FALSE@
include_kcontrol_kfontinst_TRUE = @include_kcontrol_kfontinst_TRUE@
include_kcontrol_randr_FALSE = @include_kcontrol_randr_FALSE@
include_kcontrol_randr_TRUE = @include_kcontrol_randr_TRUE@
include_kcontrol_smartcard_FALSE = @include_kcontrol_smartcard_FALSE@
include_kcontrol_smartcard_TRUE = @include_kcontrol_smartcard_TRUE@
include_kcontrol_usbview_FALSE = @include_kcontrol_usbview_FALSE@
include_kcontrol_usbview_TRUE = @include_kcontrol_usbview_TRUE@
include_kcontrol_view1394_FALSE = @include_kcontrol_view1394_FALSE@
include_kcontrol_view1394_TRUE = @include_kcontrol_view1394_TRUE@
include_kioslave_ldap_FALSE = @include_kioslave_ldap_FALSE@
include_kioslave_ldap_TRUE = @include_kioslave_ldap_TRUE@
include_kioslave_smb_FALSE = @include_kioslave_smb_FALSE@
include_kioslave_smb_TRUE = @include_kioslave_smb_TRUE@
include_kompmgr_FALSE = @include_kompmgr_FALSE@
include_kompmgr_TRUE = @include_kompmgr_TRUE@
include_ksysguardd_FALSE = @include_ksysguardd_FALSE@
include_ksysguardd_TRUE = @include_ksysguardd_TRUE@
include_ksysguardd_freebsd_FALSE = @include_ksysguardd_freebsd_FALSE@
include_ksysguardd_freebsd_TRUE = @include_ksysguardd_freebsd_TRUE@
include_ksysguardd_irix_FALSE = @include_ksysguardd_irix_FALSE@
include_ksysguardd_irix_TRUE = @include_ksysguardd_irix_TRUE@
include_ksysguardd_linux_FALSE = @include_ksysguardd_linux_FALSE@
include_ksysguardd_linux_TRUE = @include_ksysguardd_linux_TRUE@
include_ksysguardd_netbsd_FALSE = @include_ksysguardd_netbsd_FALSE@
include_ksysguardd_netbsd_TRUE = @include_ksysguardd_netbsd_TRUE@
include_ksysguardd_openbsd_FALSE = @include_ksysguardd_openbsd_FALSE@
include_ksysguardd_openbsd_TRUE = @include_ksysguardd_openbsd_TRUE@
include_ksysguardd_solaris_FALSE = @include_ksysguardd_solaris_FALSE@
include_ksysguardd_solaris_TRUE = @include_ksysguardd_solaris_TRUE@
include_ksysguardd_tru64_FALSE = @include_ksysguardd_tru64_FALSE@
include_ksysguardd_tru64_TRUE = @include_ksysguardd_tru64_TRUE@
include_media_halbackend_FALSE = @include_media_halbackend_FALSE@
include_media_halbackend_TRUE = @include_media_halbackend_TRUE@
include_media_linuxcdpolling_FALSE = @include_media_linuxcdpolling_FALSE@
include_media_linuxcdpolling_TRUE = @include_media_linuxcdpolling_TRUE@
include_x11_FALSE = @include_x11_FALSE@
include_x11_TRUE = @include_x11_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
jni_includes = @jni_includes@
kappfinder_SUBDIR_included_FALSE = @kappfinder_SUBDIR_included_FALSE@
kappfinder_SUBDIR_included_TRUE = @kappfinder_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcheckpass_SUBDIR_included_FALSE = @kcheckpass_SUBDIR_included_FALSE@
kcheckpass_SUBDIR_included_TRUE = @kcheckpass_SUBDIR_included_TRUE@
kcminit_SUBDIR_included_FALSE = @kcminit_SUBDIR_included_FALSE@
kcminit_SUBDIR_included_TRUE = @kcminit_SUBDIR_included_TRUE@
kcontrol_SUBDIR_included_FALSE = @kcontrol_SUBDIR_included_FALSE@
kcontrol_SUBDIR_included_TRUE = @kcontrol_SUBDIR_included_TRUE@
kdcop_SUBDIR_included_FALSE = @kdcop_SUBDIR_included_FALSE@
kdcop_SUBDIR_included_TRUE = @kdcop_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdebugdialog_SUBDIR_included_FALSE = @kdebugdialog_SUBDIR_included_FALSE@
kdebugdialog_SUBDIR_included_TRUE = @kdebugdialog_SUBDIR_included_TRUE@
kdeeject_SUBDIR_included_FALSE = @kdeeject_SUBDIR_included_FALSE@
kdeeject_SUBDIR_included_TRUE = @kdeeject_SUBDIR_included_TRUE@
kdeinitdir = @kdeinitdir@
kdepasswd_SUBDIR_included_FALSE = @kdepasswd_SUBDIR_included_FALSE@
kdepasswd_SUBDIR_included_TRUE = @kdepasswd_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesktop_SUBDIR_included_FALSE = @kdesktop_SUBDIR_included_FALSE@
kdesktop_SUBDIR_included_TRUE = @kdesktop_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdialog_SUBDIR_included_FALSE = @kdialog_SUBDIR_included_FALSE@
kdialog_SUBDIR_included_TRUE = @kdialog_SUBDIR_included_TRUE@
kdm_SUBDIR_included_FALSE = @kdm_SUBDIR_included_FALSE@
kdm_SUBDIR_included_TRUE = @kdm_SUBDIR_included_TRUE@
kdmlib_SUBDIR_included_FALSE = @kdmlib_SUBDIR_included_FALSE@
kdmlib_SUBDIR_included_TRUE = @kdmlib_SUBDIR_included_TRUE@
kfind_SUBDIR_included_FALSE = @kfind_SUBDIR_included_FALSE@
kfind_SUBDIR_included_TRUE = @kfind_SUBDIR_included_TRUE@
khelpcenter_SUBDIR_included_FALSE = @khelpcenter_SUBDIR_included_FALSE@
khelpcenter_SUBDIR_included_TRUE = @khelpcenter_SUBDIR_included_TRUE@
khotkeys_SUBDIR_included_FALSE = @khotkeys_SUBDIR_included_FALSE@
khotkeys_SUBDIR_included_TRUE = @khotkeys_SUBDIR_included_TRUE@
kicker_SUBDIR_included_FALSE = @kicker_SUBDIR_included_FALSE@
kicker_SUBDIR_included_TRUE = @kicker_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
klipper_SUBDIR_included_FALSE = @klipper_SUBDIR_included_FALSE@
klipper_SUBDIR_included_TRUE = @klipper_SUBDIR_included_TRUE@
kmenuedit_SUBDIR_included_FALSE = @kmenuedit_SUBDIR_included_FALSE@
kmenuedit_SUBDIR_included_TRUE = @kmenuedit_SUBDIR_included_TRUE@
knetattach_SUBDIR_included_FALSE = @knetattach_SUBDIR_included_FALSE@
knetattach_SUBDIR_included_TRUE = @knetattach_SUBDIR_included_TRUE@
konqueror_SUBDIR_included_FALSE = @konqueror_SUBDIR_included_FALSE@
konqueror_SUBDIR_included_TRUE = @konqueror_SUBDIR_included_TRUE@
konsole_SUBDIR_included_FALSE = @konsole_SUBDIR_included_FALSE@
konsole_SUBDIR_included_TRUE = @konsole_SUBDIR_included_TRUE@
kpager_SUBDIR_included_FALSE = @kpager_SUBDIR_included_FALSE@
kpager_SUBDIR_included_TRUE = @kpager_SUBDIR_included_TRUE@
kpersonalizer_SUBDIR_included_FALSE = @kpersonalizer_SUBDIR_included_FALSE@
kpersonalizer_SUBDIR_included_TRUE = @kpersonalizer_SUBDIR_included_TRUE@
kreadconfig_SUBDIR_included_FALSE = @kreadconfig_SUBDIR_included_FALSE@
kreadconfig_SUBDIR_included_TRUE = @kreadconfig_SUBDIR_included_TRUE@
kscreensaver_SUBDIR_included_FALSE = @kscreensaver_SUBDIR_included_FALSE@
kscreensaver_SUBDIR_included_TRUE = @kscreensaver_SUBDIR_included_TRUE@
ksmserver_SUBDIR_included_FALSE = @ksmserver_SUBDIR_included_FALSE@
ksmserver_SUBDIR_included_TRUE = @ksmserver_SUBDIR_included_TRUE@
ksplashml_SUBDIR_included_FALSE = @ksplashml_SUBDIR_included_FALSE@
ksplashml_SUBDIR_included_TRUE = @ksplashml_SUBDIR_included_TRUE@
kstart_SUBDIR_included_FALSE = @kstart_SUBDIR_included_FALSE@
kstart_SUBDIR_included_TRUE = @kstart_SUBDIR_included_TRUE@
ksysguard_SUBDIR_included_FALSE = @ksysguard_SUBDIR_included_FALSE@
ksysguard_SUBDIR_included_TRUE = @ksysguard_SUBDIR_included_TRUE@
ksystraycmd_SUBDIR_included_FALSE = @ksystraycmd_SUBDIR_included_FALSE@
ksystraycmd_SUBDIR_included_TRUE = @ksystraycmd_SUBDIR_included_TRUE@
ktip_SUBDIR_included_FALSE = @ktip_SUBDIR_included_FALSE@
ktip_SUBDIR_included_TRUE = @ktip_SUBDIR_included_TRUE@
kwin_SUBDIR_included_FALSE = @kwin_SUBDIR_included_FALSE@
kwin_SUBDIR_included_TRUE = @kwin_SUBDIR_included_TRUE@
kxkb_SUBDIR_included_FALSE = @kxkb_SUBDIR_included_FALSE@
kxkb_SUBDIR_included_TRUE = @kxkb_SUBDIR_included_TRUE@
l10n_SUBDIR_included_FALSE = @l10n_SUBDIR_included_FALSE@
l10n_SUBDIR_included_TRUE = @l10n_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkonq_SUBDIR_included_FALSE = @libkonq_SUBDIR_included_FALSE@
libkonq_SUBDIR_included_TRUE = @libkonq_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
nogroup = @nogroup@
nsplugins_SUBDIR_included_FALSE = @nsplugins_SUBDIR_included_FALSE@
nsplugins_SUBDIR_included_TRUE = @nsplugins_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
supports_i8k_FALSE = @supports_i8k_FALSE@
supports_i8k_TRUE = @supports_i8k_TRUE@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
unsermake_enable_pch_FALSE = @unsermake_enable_pch_FALSE@
unsermake_enable_pch_TRUE = @unsermake_enable_pch_TRUE@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
SUBDIRS = uasproviders
AM_CPPFLAGS = $(all_includes)
AM_LDFLAGS = $(all_libraries)
#>- METASOURCES = AUTO
kde_module_LTLIBRARIES = kcm_kio.la
#>- kcm_kio_la_SOURCES = policydlg.cpp kcookiesmain.cpp kcookiespolicies.cpp \
#>-       main.cpp smbrodlg.cpp useragentdlg.cpp kproxydlgbase.cpp \
#>-       kmanualproxydlg.cpp kenvvarproxydlg.cpp kproxydlg.cpp \
#>-       kcookiesmanagement.cpp fakeuaprovider.cpp uagentproviderdlg.cpp \
#>-       netpref.cpp cache.cpp ksaveioconfig.cpp socks.cpp socksbase.ui \
#>-       kproxydlg_ui.ui kcookiesmanagementdlg_ui.ui kcookiespoliciesdlg_ui.ui \
#>-       policydlg_ui.ui useragentdlg_ui.ui uagentproviderdlg_ui.ui \
#>-       manualproxy_ui.ui envvarproxy_ui.ui cache_ui.ui
#>+ 8
kcm_kio_la_SOURCES=policydlg.cpp kcookiesmain.cpp kcookiespolicies.cpp \
      main.cpp smbrodlg.cpp useragentdlg.cpp kproxydlgbase.cpp \
      kmanualproxydlg.cpp kenvvarproxydlg.cpp kproxydlg.cpp \
      kcookiesmanagement.cpp fakeuaprovider.cpp uagentproviderdlg.cpp \
      netpref.cpp cache.cpp ksaveioconfig.cpp socks.cpp  \
         \
         \
         socksbase.cpp kproxydlg_ui.cpp kcookiesmanagementdlg_ui.cpp kcookiespoliciesdlg_ui.cpp policydlg_ui.cpp useragentdlg_ui.cpp uagentproviderdlg_ui.cpp manualproxy_ui.cpp envvarproxy_ui.cpp cache_ui.cpp

kcm_kio_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
kcm_kio_la_LIBADD = $(LIB_KIO) $(LIB_KUTILS)
update_DATA = socks.upd
updatedir = $(kde_datadir)/kconf_update
servicetypes_DATA = uasprovider.desktop
servicetypesdir = $(kde_servicetypesdir)
xdg_apps_DATA = cookies.desktop useragent.desktop cache.desktop \
                lanbrowser.desktop netpref.desktop proxy.desktop

smb_DATA = smb.desktop
smbdir = $(kde_appsdir)/.hidden
#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kcontrol/kio/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kcontrol/kio/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kcontrol/kio/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kcontrol/kio/Makefile
	cd $(top_srcdir) && perl admin/am_edit kcontrol/kio/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-kde_moduleLTLIBRARIES: $(kde_module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(kde_moduledir)" || $(mkdir_p) "$(DESTDIR)$(kde_moduledir)"
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(kde_moduledir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(kde_moduledir)/$$f"; \
	  else :; fi; \
	done

uninstall-kde_moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(kde_moduledir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(kde_moduledir)/$$p"; \
	done

clean-kde_moduleLTLIBRARIES:
	-test -z "$(kde_module_LTLIBRARIES)" || rm -f $(kde_module_LTLIBRARIES)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- kcm_kio.la: $(kcm_kio_la_OBJECTS) $(kcm_kio_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@kcm_kio.la: kcm_kio.la.closure $(kcm_kio_la_OBJECTS) $(kcm_kio_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@kcm_kio.la: $(kcm_kio_la_OBJECTS) $(kcm_kio_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(kcm_kio_la_LDFLAGS) $(kcm_kio_la_OBJECTS) $(kcm_kio_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cache.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fakeuaprovider.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcookiesmain.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcookiesmanagement.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcookiespolicies.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kenvvarproxydlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmanualproxydlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kproxydlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kproxydlgbase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ksaveioconfig.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/netpref.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/policydlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smbrodlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/socks.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uagentproviderdlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/useragentdlg.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-servicetypesDATA: $(servicetypes_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(servicetypesdir)" || $(mkdir_p) "$(DESTDIR)$(servicetypesdir)"
	@list='$(servicetypes_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(servicetypesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(servicetypesdir)/$$f'"; \
	  $(servicetypesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(servicetypesdir)/$$f"; \
	done

uninstall-servicetypesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(servicetypes_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(servicetypesdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(servicetypesdir)/$$f"; \
	done
install-smbDATA: $(smb_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(smbdir)" || $(mkdir_p) "$(DESTDIR)$(smbdir)"
	@list='$(smb_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(smbDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(smbdir)/$$f'"; \
	  $(smbDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(smbdir)/$$f"; \
	done

uninstall-smbDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(smb_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(smbdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(smbdir)/$$f"; \
	done
install-updateDATA: $(update_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(updatedir)" || $(mkdir_p) "$(DESTDIR)$(updatedir)"
	@list='$(update_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(updateDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(updatedir)/$$f'"; \
	  $(updateDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(updatedir)/$$f"; \
	done

uninstall-updateDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(update_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(updatedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(updatedir)/$$f"; \
	done
install-xdg_appsDATA: $(xdg_apps_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(xdg_appsdir)" || $(mkdir_p) "$(DESTDIR)$(xdg_appsdir)"
	@list='$(xdg_apps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(xdg_appsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(xdg_appsdir)/$$f'"; \
	  $(xdg_appsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(xdg_appsdir)/$$f"; \
	done

uninstall-xdg_appsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xdg_apps_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(xdg_appsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(xdg_appsdir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(kde_moduledir)" "$(DESTDIR)$(servicetypesdir)" "$(DESTDIR)$(smbdir)" "$(DESTDIR)$(updatedir)" "$(DESTDIR)$(xdg_appsdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-kde_moduleLTLIBRARIES clean-libtool \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-ui clean-closures clean-bcheck clean-final  clean-generic clean-kde_moduleLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

#>- install-data-am: install-data-local install-kde_moduleLTLIBRARIES \
#>- 	install-servicetypesDATA install-smbDATA install-updateDATA \
#>- 	install-xdg_appsDATA
#>+ 3
install-data-am:   install-data-local \
	install-servicetypesDATA install-smbDATA install-updateDATA \
	install-xdg_appsDATA

#>- install-exec-am:
#>+ 1
install-exec-am:  install-kde_moduleLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am uninstall-kde_moduleLTLIBRARIES \
	uninstall-servicetypesDATA uninstall-smbDATA \
	uninstall-updateDATA uninstall-xdg_appsDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
	clean clean-generic clean-kde_moduleLTLIBRARIES clean-libtool \
	clean-recursive ctags ctags-recursive distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-recursive distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-data-local install-exec \
	install-exec-am install-info install-info-am \
	install-kde_moduleLTLIBRARIES install-man \
	install-servicetypesDATA install-smbDATA install-strip \
	install-updateDATA install-xdg_appsDATA installcheck \
	installcheck-am installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
	tags tags-recursive uninstall uninstall-am uninstall-info-am \
	uninstall-kde_moduleLTLIBRARIES uninstall-servicetypesDATA \
	uninstall-smbDATA uninstall-updateDATA uninstall-xdg_appsDATA


messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kcmkio.pot

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/WebBrowsing
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Settings/WebBrowsing/smb.desktop
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
kcm_kio.la.closure: $(kcm_kio_la_OBJECTS) $(kcm_kio_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > kcm_kio_la_closure.cpp
	@$(LTCXXCOMPILE) -c kcm_kio_la_closure.cpp
	$(CXXLINK) kcm_kio_la_closure.lo $(kcm_kio_la_LDFLAGS) $(kcm_kio_la_OBJECTS) $(kcm_kio_la_LIBADD) $(LIBS)
	@rm -f kcm_kio_la_closure.* kcm_kio.la.closure
	@echo "timestamp" > kcm_kio.la.closure


#>+ 3
uagentproviderdlg.moc: $(srcdir)/uagentproviderdlg.h
	$(MOC) $(srcdir)/uagentproviderdlg.h -o uagentproviderdlg.moc

#>+ 2
mocs: uagentproviderdlg.moc

#>+ 3
smbrodlg.moc: $(srcdir)/smbrodlg.h
	$(MOC) $(srcdir)/smbrodlg.h -o smbrodlg.moc

#>+ 2
mocs: smbrodlg.moc

#>+ 3
socks.moc: $(srcdir)/socks.h
	$(MOC) $(srcdir)/socks.h -o socks.moc

#>+ 2
mocs: socks.moc

#>+ 3
kmanualproxydlg.moc: $(srcdir)/kmanualproxydlg.h
	$(MOC) $(srcdir)/kmanualproxydlg.h -o kmanualproxydlg.moc

#>+ 2
mocs: kmanualproxydlg.moc

#>+ 3
kproxydlg.moc: $(srcdir)/kproxydlg.h
	$(MOC) $(srcdir)/kproxydlg.h -o kproxydlg.moc

#>+ 2
mocs: kproxydlg.moc

#>+ 3
useragentdlg.moc: $(srcdir)/useragentdlg.h
	$(MOC) $(srcdir)/useragentdlg.h -o useragentdlg.moc

#>+ 2
mocs: useragentdlg.moc

#>+ 3
main.moc: $(srcdir)/main.h
	$(MOC) $(srcdir)/main.h -o main.moc

#>+ 2
mocs: main.moc

#>+ 3
kcookiesmain.moc: $(srcdir)/kcookiesmain.h
	$(MOC) $(srcdir)/kcookiesmain.h -o kcookiesmain.moc

#>+ 2
mocs: kcookiesmain.moc

#>+ 3
kcookiespolicies.moc: $(srcdir)/kcookiespolicies.h
	$(MOC) $(srcdir)/kcookiespolicies.h -o kcookiespolicies.moc

#>+ 2
mocs: kcookiespolicies.moc

#>+ 3
kcookiesmanagement.moc: $(srcdir)/kcookiesmanagement.h
	$(MOC) $(srcdir)/kcookiesmanagement.h -o kcookiesmanagement.moc

#>+ 2
mocs: kcookiesmanagement.moc

#>+ 3
netpref.moc: $(srcdir)/netpref.h
	$(MOC) $(srcdir)/netpref.h -o netpref.moc

#>+ 2
mocs: netpref.moc

#>+ 3
policydlg.moc: $(srcdir)/policydlg.h
	$(MOC) $(srcdir)/policydlg.h -o policydlg.moc

#>+ 2
mocs: policydlg.moc

#>+ 3
kenvvarproxydlg.moc: $(srcdir)/kenvvarproxydlg.h
	$(MOC) $(srcdir)/kenvvarproxydlg.h -o kenvvarproxydlg.moc

#>+ 2
mocs: kenvvarproxydlg.moc

#>+ 3
cache.moc: $(srcdir)/cache.h
	$(MOC) $(srcdir)/cache.h -o cache.moc

#>+ 2
mocs: cache.moc

#>+ 3
clean-metasources:
	-rm -f  uagentproviderdlg.moc smbrodlg.moc socks.moc kmanualproxydlg.moc kproxydlg.moc useragentdlg.moc main.moc kcookiesmain.moc kcookiespolicies.moc kcookiesmanagement.moc netpref.moc policydlg.moc kenvvarproxydlg.moc cache.moc

#>+ 2
KDE_DIST=uasprovider.desktop policydlg.h fakeuaprovider.h socks.upd lanbrowser.desktop smb.desktop UA-DESKTOP-FILE-HOWTO useragentdlg.h kio_ftprc.kcfg kioslave.kcfg socksbase.ui netpref.h main.h smbrodlg.h cache.desktop kio_ftprc.kcfgc cookies.desktop kenvvarproxydlg.h ksaveioconfig.h uagentproviderdlg_ui.ui cache_ui.ui useragentdlg_ui.ui netpref.desktop kcookiespolicies.h socks.h proxy.desktop uagentproviderdlg.h kproxydlg.h envvarproxy_ui.ui kproxydlg_ui.ui kioslave.kcfgc policydlg_ui.ui useragent.desktop cache.h Makefile.in kcookiesmanagementdlg_ui.ui kcookiespoliciesdlg_ui.ui kcookiesmanagement.h uninstall.desktop kproxydlgbase.h Makefile.am kcookiesmain.h kmanualproxydlg.h manualproxy_ui.ui 

#>+ 13
clean-ui:
	-rm -f \
	socksbase.cpp socksbase.h socksbase.moc \
	kproxydlg_ui.cpp kproxydlg_ui.h kproxydlg_ui.moc \
	kcookiesmanagementdlg_ui.cpp kcookiesmanagementdlg_ui.h kcookiesmanagementdlg_ui.moc \
	kcookiespoliciesdlg_ui.cpp kcookiespoliciesdlg_ui.h kcookiespoliciesdlg_ui.moc \
	policydlg_ui.cpp policydlg_ui.h policydlg_ui.moc \
	useragentdlg_ui.cpp useragentdlg_ui.h useragentdlg_ui.moc \
	uagentproviderdlg_ui.cpp uagentproviderdlg_ui.h uagentproviderdlg_ui.moc \
	manualproxy_ui.cpp manualproxy_ui.h manualproxy_ui.moc \
	envvarproxy_ui.cpp envvarproxy_ui.h envvarproxy_ui.moc \
	cache_ui.cpp cache_ui.h cache_ui.moc 

#>+ 3
clean-closures:
	-rm -f  kcm_kio.la.closure

#>+ 2
docs-am:

#>+ 15
force-reedit:
		@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kcontrol/kio/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kcontrol/kio/Makefile
	cd $(top_srcdir) && perl admin/am_edit kcontrol/kio/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-recursive

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
kcm_kio_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/policydlg.cpp $(srcdir)/kcookiesmain.cpp $(srcdir)/kcookiespolicies.cpp $(srcdir)/main.cpp $(srcdir)/smbrodlg.cpp $(srcdir)/useragentdlg.cpp $(srcdir)/kproxydlgbase.cpp $(srcdir)/kmanualproxydlg.cpp $(srcdir)/kenvvarproxydlg.cpp $(srcdir)/kproxydlg.cpp $(srcdir)/kcookiesmanagement.cpp $(srcdir)/fakeuaprovider.cpp $(srcdir)/uagentproviderdlg.cpp $(srcdir)/netpref.cpp $(srcdir)/cache.cpp $(srcdir)/ksaveioconfig.cpp $(srcdir)/socks.cpp socksbase.cpp kproxydlg_ui.cpp kcookiesmanagementdlg_ui.cpp kcookiespoliciesdlg_ui.cpp policydlg_ui.cpp useragentdlg_ui.cpp uagentproviderdlg_ui.cpp manualproxy_ui.cpp envvarproxy_ui.cpp cache_ui.cpp  uagentproviderdlg.moc smbrodlg.moc manualproxy_ui.moc policydlg_ui.moc kproxydlg.moc socksbase.moc envvarproxy_ui.moc kcookiespoliciesdlg_ui.moc kproxydlg_ui.moc cache_ui.moc uagentproviderdlg_ui.moc kcookiesmain.moc useragentdlg_ui.moc netpref.moc policydlg.moc kenvvarproxydlg.moc kcookiesmanagementdlg_ui.moc socks.moc kmanualproxydlg.moc useragentdlg.moc main.moc kcookiesmanagement.moc kcookiespolicies.moc cache.moc
	@echo 'creating kcm_kio_la.all_cpp.cpp ...'; \
	rm -f kcm_kio_la.all_cpp.files kcm_kio_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kcm_kio_la.all_cpp.final; \
	for file in policydlg.cpp kcookiesmain.cpp kcookiespolicies.cpp main.cpp smbrodlg.cpp useragentdlg.cpp kproxydlgbase.cpp kmanualproxydlg.cpp kenvvarproxydlg.cpp kproxydlg.cpp kcookiesmanagement.cpp fakeuaprovider.cpp uagentproviderdlg.cpp netpref.cpp cache.cpp ksaveioconfig.cpp socks.cpp socksbase.cpp kproxydlg_ui.cpp kcookiesmanagementdlg_ui.cpp kcookiespoliciesdlg_ui.cpp policydlg_ui.cpp useragentdlg_ui.cpp uagentproviderdlg_ui.cpp manualproxy_ui.cpp envvarproxy_ui.cpp cache_ui.cpp ; do \
	  echo "#include \"$$file\"" >> kcm_kio_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kcm_kio_la.all_cpp.final; \
	done; \
	cat kcm_kio_la.all_cpp.final kcm_kio_la.all_cpp.files > kcm_kio_la.all_cpp.cpp; \
	rm -f kcm_kio_la.all_cpp.final kcm_kio_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f kcm_kio_la.all_cpp.cpp

#>+ 3
final:
	$(MAKE) kcm_kio_la_OBJECTS="$(kcm_kio_la_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) kcm_kio_la_OBJECTS="$(kcm_kio_la_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) kcm_kio_la_OBJECTS="$(kcm_kio_la_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) kcm_kio_la_OBJECTS="$(kcm_kio_la_nofinal_OBJECTS)" install-am

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 48
socks.lo: socks.moc 
kmanualproxydlg.lo: kmanualproxydlg.moc 
$(srcdir)/cache.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
kcookiespolicies.o: kcookiespolicies.moc 
kcookiesmain.lo: kcookiesmain.moc 
main.lo: main.moc 
uagentproviderdlg.lo: uagentproviderdlg.moc 
$(srcdir)/main.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
$(srcdir)/socks.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
$(srcdir)/useragentdlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
$(srcdir)/smbrodlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
socks.o: socks.moc 
kcookiesmanagement.o: kcookiesmanagement.moc 
$(srcdir)/fakeuaprovider.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
kcookiesmanagement.lo: kcookiesmanagement.moc 
uagentproviderdlg.o: uagentproviderdlg.moc 
smbrodlg.o: smbrodlg.moc 
$(srcdir)/kmanualproxydlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
policydlg.o: policydlg.moc 
nmcheck-am: nmcheck
$(srcdir)/netpref.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
kproxydlg.o: kproxydlg.moc 
$(srcdir)/policydlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
kmanualproxydlg.o: kmanualproxydlg.moc 
$(srcdir)/kproxydlgbase.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
kproxydlg.lo: kproxydlg.moc 
$(srcdir)/ksaveioconfig.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
main.o: main.moc 
$(srcdir)/kcookiesmanagement.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
kcookiespolicies.lo: kcookiespolicies.moc 
$(srcdir)/kcookiesmain.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
policydlg.lo: policydlg.moc 
useragentdlg.o: useragentdlg.moc 
$(srcdir)/uagentproviderdlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
nmcheck: 
cache.o: cache.moc 
$(srcdir)/kproxydlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
useragentdlg.lo: useragentdlg.moc 
$(srcdir)/kcookiespolicies.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
$(srcdir)/kenvvarproxydlg.cpp: socksbase.h kproxydlg_ui.h kcookiesmanagementdlg_ui.h kcookiespoliciesdlg_ui.h policydlg_ui.h useragentdlg_ui.h uagentproviderdlg_ui.h manualproxy_ui.h envvarproxy_ui.h cache_ui.h 
netpref.lo: netpref.moc 
kenvvarproxydlg.lo: kenvvarproxydlg.moc 
kcookiesmain.o: kcookiesmain.moc 
smbrodlg.lo: smbrodlg.moc 
netpref.o: netpref.moc 
kenvvarproxydlg.o: kenvvarproxydlg.moc 
cache.lo: cache.moc 

#>+ 150
uagentproviderdlg_ui.cpp: $(srcdir)/uagentproviderdlg_ui.ui uagentproviderdlg_ui.h uagentproviderdlg_ui.moc
	rm -f uagentproviderdlg_ui.cpp
	echo '#include <kdialog.h>' > uagentproviderdlg_ui.cpp
	echo '#include <klocale.h>' >> uagentproviderdlg_ui.cpp
	$(UIC) -tr ${UIC_TR} -i uagentproviderdlg_ui.h $(srcdir)/uagentproviderdlg_ui.ui > uagentproviderdlg_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" uagentproviderdlg_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_uagentproviderdlg_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> uagentproviderdlg_ui.cpp ;\
	rm -f uagentproviderdlg_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "uagentproviderdlg_ui.moc"' >> uagentproviderdlg_ui.cpp; else rm -f uagentproviderdlg_ui.cpp ; exit $$ret ; fi

uagentproviderdlg_ui.h: $(srcdir)/uagentproviderdlg_ui.ui
	rm -rf uagentproviderdlg_ui.h;
	$(UIC) $(srcdir)/uagentproviderdlg_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> uagentproviderdlg_ui.h ;
uagentproviderdlg_ui.moc: uagentproviderdlg_ui.h
	$(MOC) uagentproviderdlg_ui.h -o uagentproviderdlg_ui.moc

useragentdlg_ui.cpp: $(srcdir)/useragentdlg_ui.ui useragentdlg_ui.h useragentdlg_ui.moc
	rm -f useragentdlg_ui.cpp
	echo '#include <kdialog.h>' > useragentdlg_ui.cpp
	echo '#include <klocale.h>' >> useragentdlg_ui.cpp
	$(UIC) -tr ${UIC_TR} -i useragentdlg_ui.h $(srcdir)/useragentdlg_ui.ui > useragentdlg_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" useragentdlg_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_useragentdlg_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> useragentdlg_ui.cpp ;\
	rm -f useragentdlg_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "useragentdlg_ui.moc"' >> useragentdlg_ui.cpp; else rm -f useragentdlg_ui.cpp ; exit $$ret ; fi

useragentdlg_ui.h: $(srcdir)/useragentdlg_ui.ui
	rm -rf useragentdlg_ui.h;
	$(UIC) $(srcdir)/useragentdlg_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> useragentdlg_ui.h ;
useragentdlg_ui.moc: useragentdlg_ui.h
	$(MOC) useragentdlg_ui.h -o useragentdlg_ui.moc

kcookiesmanagementdlg_ui.cpp: $(srcdir)/kcookiesmanagementdlg_ui.ui kcookiesmanagementdlg_ui.h kcookiesmanagementdlg_ui.moc
	rm -f kcookiesmanagementdlg_ui.cpp
	echo '#include <kdialog.h>' > kcookiesmanagementdlg_ui.cpp
	echo '#include <klocale.h>' >> kcookiesmanagementdlg_ui.cpp
	$(UIC) -tr ${UIC_TR} -i kcookiesmanagementdlg_ui.h $(srcdir)/kcookiesmanagementdlg_ui.ui > kcookiesmanagementdlg_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" kcookiesmanagementdlg_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_kcookiesmanagementdlg_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> kcookiesmanagementdlg_ui.cpp ;\
	rm -f kcookiesmanagementdlg_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "kcookiesmanagementdlg_ui.moc"' >> kcookiesmanagementdlg_ui.cpp; else rm -f kcookiesmanagementdlg_ui.cpp ; exit $$ret ; fi

kcookiesmanagementdlg_ui.h: $(srcdir)/kcookiesmanagementdlg_ui.ui
	rm -rf kcookiesmanagementdlg_ui.h;
	$(UIC) $(srcdir)/kcookiesmanagementdlg_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> kcookiesmanagementdlg_ui.h ;
kcookiesmanagementdlg_ui.moc: kcookiesmanagementdlg_ui.h
	$(MOC) kcookiesmanagementdlg_ui.h -o kcookiesmanagementdlg_ui.moc

envvarproxy_ui.cpp: $(srcdir)/envvarproxy_ui.ui envvarproxy_ui.h envvarproxy_ui.moc
	rm -f envvarproxy_ui.cpp
	echo '#include <kdialog.h>' > envvarproxy_ui.cpp
	echo '#include <klocale.h>' >> envvarproxy_ui.cpp
	$(UIC) -tr ${UIC_TR} -i envvarproxy_ui.h $(srcdir)/envvarproxy_ui.ui > envvarproxy_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" envvarproxy_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_envvarproxy_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> envvarproxy_ui.cpp ;\
	rm -f envvarproxy_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "envvarproxy_ui.moc"' >> envvarproxy_ui.cpp; else rm -f envvarproxy_ui.cpp ; exit $$ret ; fi

envvarproxy_ui.h: $(srcdir)/envvarproxy_ui.ui
	rm -rf envvarproxy_ui.h;
	$(UIC) $(srcdir)/envvarproxy_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> envvarproxy_ui.h ;
envvarproxy_ui.moc: envvarproxy_ui.h
	$(MOC) envvarproxy_ui.h -o envvarproxy_ui.moc

manualproxy_ui.cpp: $(srcdir)/manualproxy_ui.ui manualproxy_ui.h manualproxy_ui.moc
	rm -f manualproxy_ui.cpp
	echo '#include <kdialog.h>' > manualproxy_ui.cpp
	echo '#include <klocale.h>' >> manualproxy_ui.cpp
	$(UIC) -tr ${UIC_TR} -i manualproxy_ui.h $(srcdir)/manualproxy_ui.ui > manualproxy_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" manualproxy_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_manualproxy_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> manualproxy_ui.cpp ;\
	rm -f manualproxy_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "manualproxy_ui.moc"' >> manualproxy_ui.cpp; else rm -f manualproxy_ui.cpp ; exit $$ret ; fi

manualproxy_ui.h: $(srcdir)/manualproxy_ui.ui
	rm -rf manualproxy_ui.h;
	$(UIC) $(srcdir)/manualproxy_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> manualproxy_ui.h ;
manualproxy_ui.moc: manualproxy_ui.h
	$(MOC) manualproxy_ui.h -o manualproxy_ui.moc

cache_ui.cpp: $(srcdir)/cache_ui.ui cache_ui.h cache_ui.moc
	rm -f cache_ui.cpp
	echo '#include <kdialog.h>' > cache_ui.cpp
	echo '#include <klocale.h>' >> cache_ui.cpp
	$(UIC) -tr ${UIC_TR} -i cache_ui.h $(srcdir)/cache_ui.ui > cache_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" cache_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_cache_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> cache_ui.cpp ;\
	rm -f cache_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "cache_ui.moc"' >> cache_ui.cpp; else rm -f cache_ui.cpp ; exit $$ret ; fi

cache_ui.h: $(srcdir)/cache_ui.ui
	rm -rf cache_ui.h;
	$(UIC) $(srcdir)/cache_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> cache_ui.h ;
cache_ui.moc: cache_ui.h
	$(MOC) cache_ui.h -o cache_ui.moc

socksbase.cpp: $(srcdir)/socksbase.ui socksbase.h socksbase.moc
	rm -f socksbase.cpp
	echo '#include <kdialog.h>' > socksbase.cpp
	echo '#include <klocale.h>' >> socksbase.cpp
	$(UIC) -tr ${UIC_TR} -i socksbase.h $(srcdir)/socksbase.ui > socksbase.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" socksbase.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_socksbase,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> socksbase.cpp ;\
	rm -f socksbase.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "socksbase.moc"' >> socksbase.cpp; else rm -f socksbase.cpp ; exit $$ret ; fi

socksbase.h: $(srcdir)/socksbase.ui
	rm -rf socksbase.h;
	$(UIC) $(srcdir)/socksbase.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> socksbase.h ;
socksbase.moc: socksbase.h
	$(MOC) socksbase.h -o socksbase.moc

kproxydlg_ui.cpp: $(srcdir)/kproxydlg_ui.ui kproxydlg_ui.h kproxydlg_ui.moc
	rm -f kproxydlg_ui.cpp
	echo '#include <kdialog.h>' > kproxydlg_ui.cpp
	echo '#include <klocale.h>' >> kproxydlg_ui.cpp
	$(UIC) -tr ${UIC_TR} -i kproxydlg_ui.h $(srcdir)/kproxydlg_ui.ui > kproxydlg_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" kproxydlg_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_kproxydlg_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> kproxydlg_ui.cpp ;\
	rm -f kproxydlg_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "kproxydlg_ui.moc"' >> kproxydlg_ui.cpp; else rm -f kproxydlg_ui.cpp ; exit $$ret ; fi

kproxydlg_ui.h: $(srcdir)/kproxydlg_ui.ui
	rm -rf kproxydlg_ui.h;
	$(UIC) $(srcdir)/kproxydlg_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> kproxydlg_ui.h ;
kproxydlg_ui.moc: kproxydlg_ui.h
	$(MOC) kproxydlg_ui.h -o kproxydlg_ui.moc

policydlg_ui.cpp: $(srcdir)/policydlg_ui.ui policydlg_ui.h policydlg_ui.moc
	rm -f policydlg_ui.cpp
	echo '#include <kdialog.h>' > policydlg_ui.cpp
	echo '#include <klocale.h>' >> policydlg_ui.cpp
	$(UIC) -tr ${UIC_TR} -i policydlg_ui.h $(srcdir)/policydlg_ui.ui > policydlg_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" policydlg_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_policydlg_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> policydlg_ui.cpp ;\
	rm -f policydlg_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "policydlg_ui.moc"' >> policydlg_ui.cpp; else rm -f policydlg_ui.cpp ; exit $$ret ; fi

policydlg_ui.h: $(srcdir)/policydlg_ui.ui
	rm -rf policydlg_ui.h;
	$(UIC) $(srcdir)/policydlg_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> policydlg_ui.h ;
policydlg_ui.moc: policydlg_ui.h
	$(MOC) policydlg_ui.h -o policydlg_ui.moc

kcookiespoliciesdlg_ui.cpp: $(srcdir)/kcookiespoliciesdlg_ui.ui kcookiespoliciesdlg_ui.h kcookiespoliciesdlg_ui.moc
	rm -f kcookiespoliciesdlg_ui.cpp
	echo '#include <kdialog.h>' > kcookiespoliciesdlg_ui.cpp
	echo '#include <klocale.h>' >> kcookiespoliciesdlg_ui.cpp
	$(UIC) -tr ${UIC_TR} -i kcookiespoliciesdlg_ui.h $(srcdir)/kcookiespoliciesdlg_ui.ui > kcookiespoliciesdlg_ui.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" kcookiespoliciesdlg_ui.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_kcookiespoliciesdlg_ui,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> kcookiespoliciesdlg_ui.cpp ;\
	rm -f kcookiespoliciesdlg_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "kcookiespoliciesdlg_ui.moc"' >> kcookiespoliciesdlg_ui.cpp; else rm -f kcookiespoliciesdlg_ui.cpp ; exit $$ret ; fi

kcookiespoliciesdlg_ui.h: $(srcdir)/kcookiespoliciesdlg_ui.ui
	rm -rf kcookiespoliciesdlg_ui.h;
	$(UIC) $(srcdir)/kcookiespoliciesdlg_ui.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> kcookiespoliciesdlg_ui.h ;
kcookiespoliciesdlg_ui.moc: kcookiespoliciesdlg_ui.h
	$(MOC) kcookiespoliciesdlg_ui.h -o kcookiespoliciesdlg_ui.moc
